package com.cf.imes.module.executor.validation.plate;


import jakarta.validation.Constraint;
import jakarta.validation.Payload;
import java.lang.annotation.*;

/**
 * @author 板材排孔类型校验注解
 */
@Target({
        ElementType.FIELD,
})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(
        validatedBy = {PlatePlaceHoleValidator.class}
)
public @interface PlatePlaceHoleValid {

    String message() default "板材排孔类型不合法";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};


}
